import{s as et,n as tt,o as ot}from"../chunks/scheduler.8c3d61f6.js";import{S as nt,i as at,g as i,s as n,r as u,A as rt,h as d,f as t,c as a,j as b,u as f,x as m,k as v,y as r,a as s,v as p,d as h,t as g,w as _}from"../chunks/index.da70eac4.js";import{D}from"../chunks/Docstring.6b390b9a.js";import{C as st}from"../chunks/CodeBlock.00a903b3.js";import{H as ze,E as it}from"../chunks/EditOnGithub.1e64e623.js";function dt(Oe){let y,ne,te,ae,k,re,A,Re='The 2D Autoencoder model used in <a href="https://huggingface.co/papers/2410.10629" rel="nofollow">SANA</a> and introduced in <a href="https://huggingface.co/papers/2410.10733" rel="nofollow">DCAE</a> by authors Junyu Chen*, Han Cai*, Junsong Chen, Enze Xie, Shang Yang, Haotian Tang, Muyang Li, Yao Lu, Song Han from MIT HAN Lab.',se,M,Ge="The abstract from the paper is:",ie,E,Ie='<em>We present Deep Compression Autoencoder (DC-AE), a new family of autoencoder models for accelerating high-resolution diffusion models. Existing autoencoder models have demonstrated impressive results at a moderate spatial compression ratio (e.g., 8x), but fail to maintain satisfactory reconstruction accuracy for high spatial compression ratios (e.g., 64x). We address this challenge by introducing two key techniques: (1) Residual Autoencoding, where we design our models to learn residuals based on the space-to-channel transformed features to alleviate the optimization difficulty of high spatial-compression autoencoders; (2) Decoupled High-Resolution Adaptation, an efficient decoupled three-phases training strategy for mitigating the generalization penalty of high spatial-compression autoencoders. With these designs, we improve the autoencoder’s spatial compression ratio up to 128 while maintaining the reconstruction quality. Applying our DC-AE to latent diffusion models, we achieve significant speedup without accuracy drop. For example, on ImageNet 512x512, our DC-AE provides 19.1x inference speedup and 17.9x training speedup on H100 GPU for UViT-H while achieving a better FID, compared with the widely used SD-VAE-f8 autoencoder. Our code is available at <a href="https://github.com/mit-han-lab/efficientvit" rel="nofollow">this https URL</a>.</em>',de,L,Ne="The following DCAE models are released and supported in Diffusers.",le,q,Se='<thead><tr><th align="center">Diffusers format</th> <th align="center">Original format</th></tr></thead> <tbody><tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-sana-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-sana-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-sana-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-sana-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-in-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-in-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-in-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-in-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-mix-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-mix-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f32c32-mix-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f32c32-mix-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f64c128-in-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f64c128-in-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f64c128-in-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f64c128-in-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f64c128-mix-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f64c128-mix-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f64c128-mix-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f64c128-mix-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f128c512-in-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f128c512-in-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f128c512-in-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f128c512-in-1.0</code></a></td></tr> <tr><td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f128c512-mix-1.0-diffusers" rel="nofollow"><code>mit-han-lab/dc-ae-f128c512-mix-1.0-diffusers</code></a></td> <td align="center"><a href="https://huggingface.co/mit-han-lab/dc-ae-f128c512-mix-1.0" rel="nofollow"><code>mit-han-lab/dc-ae-f128c512-mix-1.0</code></a></td></tr></tbody>',ce,H,Ze='Load a model in Diffusers format with <a href="/docs/diffusers/pr_10037/en/api/models/overview#diffusers.ModelMixin.from_pretrained">from_pretrained()</a>.',ue,U,fe,V,me,l,P,Te,Y,We=`An Autoencoder model introduced in <a href="https://arxiv.org/abs/2410.10733" rel="nofollow">DCAE</a> and used in
<a href="https://arxiv.org/abs/2410.10629" rel="nofollow">SANA</a>.`,Ce,F,Ye=`This model inherits from <a href="/docs/diffusers/pr_10037/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,De,J,z,ke,B,O,Ae,w,R,Me,j,Fe=`Disable sliced AE decoding. If <code>enable_slicing</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ee,x,G,Le,X,Je=`Disable tiled AE decoding. If <code>enable_tiling</code> was previously enabled, this method will go back to computing
decoding in one step.`,qe,T,I,He,Q,Be=`Enable sliced AE decoding. When this option is enabled, the AE will split the input tensor in slices to compute
decoding in several steps. This is useful to save some memory and allow larger batch sizes.`,Ue,C,N,Ve,K,je=`Enable tiled AE decoding. When this option is enabled, the AE will split the input tensor into tiles to compute
decoding and encoding in several steps. This is useful for saving a large amount of memory and to allow
processing larger images.`,pe,S,he,$,Z,Pe,ee,Xe="Output of decoding method.",ge,W,_e,oe,be;return k=new ze({props:{title:"AutoencoderDC",local:"autoencoderdc",headingTag:"h1"}}),U=new st({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMEF1dG9lbmNvZGVyREMlMEElMEFhZSUyMCUzRCUyMEF1dG9lbmNvZGVyREMuZnJvbV9wcmV0cmFpbmVkKCUyMm1pdC1oYW4tbGFiJTJGZGMtYWUtZjMyYzMyLXNhbmEtMS4wLWRpZmZ1c2VycyUyMiUyQyUyMHRvcmNoX2R0eXBlJTNEdG9yY2guZmxvYXQzMikudG8oJTIyY3VkYSUyMik=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AutoencoderDC

ae = AutoencoderDC.from_pretrained(<span class="hljs-string">&quot;mit-han-lab/dc-ae-f32c32-sana-1.0-diffusers&quot;</span>, torch_dtype=torch.float32).to(<span class="hljs-string">&quot;cuda&quot;</span>)`,wrap:!1}}),V=new ze({props:{title:"AutoencoderDC",local:"diffusers.AutoencoderDC",headingTag:"h2"}}),P=new D({props:{name:"class diffusers.AutoencoderDC",anchor:"diffusers.AutoencoderDC",parameters:[{name:"in_channels",val:": int = 3"},{name:"latent_channels",val:": int = 32"},{name:"attention_head_dim",val:": int = 32"},{name:"encoder_block_types",val:": typing.Union[str, typing.Tuple[str]] = 'ResBlock'"},{name:"decoder_block_types",val:": typing.Union[str, typing.Tuple[str]] = 'ResBlock'"},{name:"encoder_block_out_channels",val:": typing.Tuple[int, ...] = (128, 256, 512, 512, 1024, 1024)"},{name:"decoder_block_out_channels",val:": typing.Tuple[int, ...] = (128, 256, 512, 512, 1024, 1024)"},{name:"encoder_layers_per_block",val:": typing.Tuple[int] = (2, 2, 2, 3, 3, 3)"},{name:"decoder_layers_per_block",val:": typing.Tuple[int] = (3, 3, 3, 3, 3, 3)"},{name:"encoder_qkv_multiscales",val:": typing.Tuple[typing.Tuple[int, ...], ...] = ((), (), (), (5,), (5,), (5,))"},{name:"decoder_qkv_multiscales",val:": typing.Tuple[typing.Tuple[int, ...], ...] = ((), (), (), (5,), (5,), (5,))"},{name:"upsample_block_type",val:": str = 'pixel_shuffle'"},{name:"downsample_block_type",val:": str = 'pixel_unshuffle'"},{name:"decoder_norm_types",val:": typing.Union[str, typing.Tuple[str]] = 'rms_norm'"},{name:"decoder_act_fns",val:": typing.Union[str, typing.Tuple[str]] = 'silu'"},{name:"scaling_factor",val:": float = 1.0"}],parametersDescription:[{anchor:"diffusers.AutoencoderDC.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, defaults to <code>3</code>) &#x2014;
The number of input channels in samples.`,name:"in_channels"},{anchor:"diffusers.AutoencoderDC.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, defaults to <code>32</code>) &#x2014;
The number of channels in the latent space representation.`,name:"latent_channels"},{anchor:"diffusers.AutoencoderDC.encoder_block_types",description:`<strong>encoder_block_types</strong> (<code>Union[str, Tuple[str]]</code>, defaults to <code>&quot;ResBlock&quot;</code>) &#x2014;
The type(s) of block to use in the encoder.`,name:"encoder_block_types"},{anchor:"diffusers.AutoencoderDC.decoder_block_types",description:`<strong>decoder_block_types</strong> (<code>Union[str, Tuple[str]]</code>, defaults to <code>&quot;ResBlock&quot;</code>) &#x2014;
The type(s) of block to use in the decoder.`,name:"decoder_block_types"},{anchor:"diffusers.AutoencoderDC.encoder_block_out_channels",description:`<strong>encoder_block_out_channels</strong> (<code>Tuple[int, ...]</code>, defaults to <code>(128, 256, 512, 512, 1024, 1024)</code>) &#x2014;
The number of output channels for each block in the encoder.`,name:"encoder_block_out_channels"},{anchor:"diffusers.AutoencoderDC.decoder_block_out_channels",description:`<strong>decoder_block_out_channels</strong> (<code>Tuple[int, ...]</code>, defaults to <code>(128, 256, 512, 512, 1024, 1024)</code>) &#x2014;
The number of output channels for each block in the decoder.`,name:"decoder_block_out_channels"},{anchor:"diffusers.AutoencoderDC.encoder_layers_per_block",description:`<strong>encoder_layers_per_block</strong> (<code>Tuple[int]</code>, defaults to <code>(2, 2, 2, 3, 3, 3)</code>) &#x2014;
The number of layers per block in the encoder.`,name:"encoder_layers_per_block"},{anchor:"diffusers.AutoencoderDC.decoder_layers_per_block",description:`<strong>decoder_layers_per_block</strong> (<code>Tuple[int]</code>, defaults to <code>(3, 3, 3, 3, 3, 3)</code>) &#x2014;
The number of layers per block in the decoder.`,name:"decoder_layers_per_block"},{anchor:"diffusers.AutoencoderDC.encoder_qkv_multiscales",description:`<strong>encoder_qkv_multiscales</strong> (<code>Tuple[Tuple[int, ...], ...]</code>, defaults to <code>((), (), (), (5,), (5,), (5,))</code>) &#x2014;
Multi-scale configurations for the encoder&#x2019;s QKV (query-key-value) transformations.`,name:"encoder_qkv_multiscales"},{anchor:"diffusers.AutoencoderDC.decoder_qkv_multiscales",description:`<strong>decoder_qkv_multiscales</strong> (<code>Tuple[Tuple[int, ...], ...]</code>, defaults to <code>((), (), (), (5,), (5,), (5,))</code>) &#x2014;
Multi-scale configurations for the decoder&#x2019;s QKV (query-key-value) transformations.`,name:"decoder_qkv_multiscales"},{anchor:"diffusers.AutoencoderDC.upsample_block_type",description:`<strong>upsample_block_type</strong> (<code>str</code>, defaults to <code>&quot;pixel_shuffle&quot;</code>) &#x2014;
The type of block to use for upsampling in the decoder.`,name:"upsample_block_type"},{anchor:"diffusers.AutoencoderDC.downsample_block_type",description:`<strong>downsample_block_type</strong> (<code>str</code>, defaults to <code>&quot;pixel_unshuffle&quot;</code>) &#x2014;
The type of block to use for downsampling in the encoder.`,name:"downsample_block_type"},{anchor:"diffusers.AutoencoderDC.decoder_norm_types",description:`<strong>decoder_norm_types</strong> (<code>Union[str, Tuple[str]]</code>, defaults to <code>&quot;rms_norm&quot;</code>) &#x2014;
The normalization type(s) to use in the decoder.`,name:"decoder_norm_types"},{anchor:"diffusers.AutoencoderDC.decoder_act_fns",description:`<strong>decoder_act_fns</strong> (<code>Union[str, Tuple[str]]</code>, defaults to <code>&quot;silu&quot;</code>) &#x2014;
The activation function(s) to use in the decoder.`,name:"decoder_act_fns"},{anchor:"diffusers.AutoencoderDC.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, defaults to <code>1.0</code>) &#x2014;
The multiplicative inverse of the root mean square of the latent features. This is used to scale the latent
space to have unit variance when training the diffusion model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the diffusion model. When decoding, the latents are scaled back
to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/autoencoder_dc.py#L406"}}),z=new D({props:{name:"wrapper",anchor:"diffusers.AutoencoderDC.encode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/utils/accelerate_utils.py#L43"}}),O=new D({props:{name:"wrapper",anchor:"diffusers.AutoencoderDC.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/utils/accelerate_utils.py#L43"}}),R=new D({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderDC.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/autoencoder_dc.py#L561"}}),G=new D({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderDC.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/autoencoder_dc.py#L547"}}),I=new D({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderDC.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/autoencoder_dc.py#L554"}}),N=new D({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderDC.enable_tiling",parameters:[{name:"tile_sample_min_height",val:": typing.Optional[int] = None"},{name:"tile_sample_min_width",val:": typing.Optional[int] = None"},{name:"tile_sample_stride_height",val:": typing.Optional[float] = None"},{name:"tile_sample_stride_width",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderDC.enable_tiling.tile_sample_min_height",description:`<strong>tile_sample_min_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum height required for a sample to be separated into tiles across the height dimension.`,name:"tile_sample_min_height"},{anchor:"diffusers.AutoencoderDC.enable_tiling.tile_sample_min_width",description:`<strong>tile_sample_min_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum width required for a sample to be separated into tiles across the width dimension.`,name:"tile_sample_min_width"},{anchor:"diffusers.AutoencoderDC.enable_tiling.tile_sample_stride_height",description:`<strong>tile_sample_stride_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive vertical tiles. This is to ensure that there are
no tiling artifacts produced across the height dimension.`,name:"tile_sample_stride_height"},{anchor:"diffusers.AutoencoderDC.enable_tiling.tile_sample_stride_width",description:`<strong>tile_sample_stride_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The stride between two consecutive horizontal tiles. This is to ensure that there are no tiling
artifacts produced across the width dimension.`,name:"tile_sample_stride_width"}],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/autoencoder_dc.py#L517"}}),S=new ze({props:{title:"DecoderOutput",local:"diffusers.models.autoencoders.vae.DecoderOutput",headingTag:"h2"}}),Z=new D({props:{name:"class diffusers.models.autoencoders.vae.DecoderOutput",anchor:"diffusers.models.autoencoders.vae.DecoderOutput",parameters:[{name:"sample",val:": Tensor"},{name:"commit_loss",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.models.autoencoders.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
The decoded output sample from the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_10037/src/diffusers/models/autoencoders/vae.py#L46"}}),W=new it({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/models/autoencoder_dc.md"}}),{c(){y=i("meta"),ne=n(),te=i("p"),ae=n(),u(k.$$.fragment),re=n(),A=i("p"),A.innerHTML=Re,se=n(),M=i("p"),M.textContent=Ge,ie=n(),E=i("p"),E.innerHTML=Ie,de=n(),L=i("p"),L.textContent=Ne,le=n(),q=i("table"),q.innerHTML=Se,ce=n(),H=i("p"),H.innerHTML=Ze,ue=n(),u(U.$$.fragment),fe=n(),u(V.$$.fragment),me=n(),l=i("div"),u(P.$$.fragment),Te=n(),Y=i("p"),Y.innerHTML=We,Ce=n(),F=i("p"),F.innerHTML=Ye,De=n(),J=i("div"),u(z.$$.fragment),ke=n(),B=i("div"),u(O.$$.fragment),Ae=n(),w=i("div"),u(R.$$.fragment),Me=n(),j=i("p"),j.innerHTML=Fe,Ee=n(),x=i("div"),u(G.$$.fragment),Le=n(),X=i("p"),X.innerHTML=Je,qe=n(),T=i("div"),u(I.$$.fragment),He=n(),Q=i("p"),Q.textContent=Be,Ue=n(),C=i("div"),u(N.$$.fragment),Ve=n(),K=i("p"),K.textContent=je,pe=n(),u(S.$$.fragment),he=n(),$=i("div"),u(Z.$$.fragment),Pe=n(),ee=i("p"),ee.textContent=Xe,ge=n(),u(W.$$.fragment),_e=n(),oe=i("p"),this.h()},l(e){const o=rt("svelte-u9bgzb",document.head);y=d(o,"META",{name:!0,content:!0}),o.forEach(t),ne=a(e),te=d(e,"P",{}),b(te).forEach(t),ae=a(e),f(k.$$.fragment,e),re=a(e),A=d(e,"P",{"data-svelte-h":!0}),m(A)!=="svelte-8tp46g"&&(A.innerHTML=Re),se=a(e),M=d(e,"P",{"data-svelte-h":!0}),m(M)!=="svelte-1cwsb16"&&(M.textContent=Ge),ie=a(e),E=d(e,"P",{"data-svelte-h":!0}),m(E)!=="svelte-1tcz16m"&&(E.innerHTML=Ie),de=a(e),L=d(e,"P",{"data-svelte-h":!0}),m(L)!=="svelte-1o0h6o1"&&(L.textContent=Ne),le=a(e),q=d(e,"TABLE",{"data-svelte-h":!0}),m(q)!=="svelte-189p9ea"&&(q.innerHTML=Se),ce=a(e),H=d(e,"P",{"data-svelte-h":!0}),m(H)!=="svelte-25c0ou"&&(H.innerHTML=Ze),ue=a(e),f(U.$$.fragment,e),fe=a(e),f(V.$$.fragment,e),me=a(e),l=d(e,"DIV",{class:!0});var c=b(l);f(P.$$.fragment,c),Te=a(c),Y=d(c,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-1o8176"&&(Y.innerHTML=We),Ce=a(c),F=d(c,"P",{"data-svelte-h":!0}),m(F)!=="svelte-1ixon1"&&(F.innerHTML=Ye),De=a(c),J=d(c,"DIV",{class:!0});var Qe=b(J);f(z.$$.fragment,Qe),Qe.forEach(t),ke=a(c),B=d(c,"DIV",{class:!0});var Ke=b(B);f(O.$$.fragment,Ke),Ke.forEach(t),Ae=a(c),w=d(c,"DIV",{class:!0});var ve=b(w);f(R.$$.fragment,ve),Me=a(ve),j=d(ve,"P",{"data-svelte-h":!0}),m(j)!=="svelte-3s97m7"&&(j.innerHTML=Fe),ve.forEach(t),Ee=a(c),x=d(c,"DIV",{class:!0});var ye=b(x);f(G.$$.fragment,ye),Le=a(ye),X=d(ye,"P",{"data-svelte-h":!0}),m(X)!=="svelte-1v893a9"&&(X.innerHTML=Je),ye.forEach(t),qe=a(c),T=d(c,"DIV",{class:!0});var $e=b(T);f(I.$$.fragment,$e),He=a($e),Q=d($e,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-1s1uocy"&&(Q.textContent=Be),$e.forEach(t),Ue=a(c),C=d(c,"DIV",{class:!0});var we=b(C);f(N.$$.fragment,we),Ve=a(we),K=d(we,"P",{"data-svelte-h":!0}),m(K)!=="svelte-130u29x"&&(K.textContent=je),we.forEach(t),c.forEach(t),pe=a(e),f(S.$$.fragment,e),he=a(e),$=d(e,"DIV",{class:!0});var xe=b($);f(Z.$$.fragment,xe),Pe=a(xe),ee=d(xe,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-18u8upa"&&(ee.textContent=Xe),xe.forEach(t),ge=a(e),f(W.$$.fragment,e),_e=a(e),oe=d(e,"P",{}),b(oe).forEach(t),this.h()},h(){v(y,"name","hf:doc:metadata"),v(y,"content",lt),v(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){r(document.head,y),s(e,ne,o),s(e,te,o),s(e,ae,o),p(k,e,o),s(e,re,o),s(e,A,o),s(e,se,o),s(e,M,o),s(e,ie,o),s(e,E,o),s(e,de,o),s(e,L,o),s(e,le,o),s(e,q,o),s(e,ce,o),s(e,H,o),s(e,ue,o),p(U,e,o),s(e,fe,o),p(V,e,o),s(e,me,o),s(e,l,o),p(P,l,null),r(l,Te),r(l,Y),r(l,Ce),r(l,F),r(l,De),r(l,J),p(z,J,null),r(l,ke),r(l,B),p(O,B,null),r(l,Ae),r(l,w),p(R,w,null),r(w,Me),r(w,j),r(l,Ee),r(l,x),p(G,x,null),r(x,Le),r(x,X),r(l,qe),r(l,T),p(I,T,null),r(T,He),r(T,Q),r(l,Ue),r(l,C),p(N,C,null),r(C,Ve),r(C,K),s(e,pe,o),p(S,e,o),s(e,he,o),s(e,$,o),p(Z,$,null),r($,Pe),r($,ee),s(e,ge,o),p(W,e,o),s(e,_e,o),s(e,oe,o),be=!0},p:tt,i(e){be||(h(k.$$.fragment,e),h(U.$$.fragment,e),h(V.$$.fragment,e),h(P.$$.fragment,e),h(z.$$.fragment,e),h(O.$$.fragment,e),h(R.$$.fragment,e),h(G.$$.fragment,e),h(I.$$.fragment,e),h(N.$$.fragment,e),h(S.$$.fragment,e),h(Z.$$.fragment,e),h(W.$$.fragment,e),be=!0)},o(e){g(k.$$.fragment,e),g(U.$$.fragment,e),g(V.$$.fragment,e),g(P.$$.fragment,e),g(z.$$.fragment,e),g(O.$$.fragment,e),g(R.$$.fragment,e),g(G.$$.fragment,e),g(I.$$.fragment,e),g(N.$$.fragment,e),g(S.$$.fragment,e),g(Z.$$.fragment,e),g(W.$$.fragment,e),be=!1},d(e){e&&(t(ne),t(te),t(ae),t(re),t(A),t(se),t(M),t(ie),t(E),t(de),t(L),t(le),t(q),t(ce),t(H),t(ue),t(fe),t(me),t(l),t(pe),t(he),t($),t(ge),t(_e),t(oe)),t(y),_(k,e),_(U,e),_(V,e),_(P),_(z),_(O),_(R),_(G),_(I),_(N),_(S,e),_(Z),_(W,e)}}}const lt='{"title":"AutoencoderDC","local":"autoencoderdc","sections":[{"title":"AutoencoderDC","local":"diffusers.AutoencoderDC","sections":[],"depth":2},{"title":"DecoderOutput","local":"diffusers.models.autoencoders.vae.DecoderOutput","sections":[],"depth":2}],"depth":1}';function ct(Oe){return ot(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gt extends nt{constructor(y){super(),at(this,y,ct,dt,et,{})}}export{gt as component};
